import 'package:flutter/material.dart';
import 'dart:convert';
import '../Utils/index.dart';

class ImageWithLoadingIndicator extends StatelessWidget {
  final String imgUrl;
 const ImageWithLoadingIndicator({super.key, required this.imgUrl, this.imageStyles,required this.constraints});
 // styles that will be applies on Image.
  final BoxConstraints? imageStyles;
  final BoxConstraints constraints;

  @override
  Widget build(BuildContext context) {
    return Stack(
      alignment: Alignment.center,
      children: [
        ClipRRect(
          borderRadius: BorderRadius.circular(9),
          child: Container(
            constraints: BoxConstraints(
            maxWidth: constraints.maxWidth * 0.8,
            minHeight: imageStyles?.minHeight ?? 150,
            maxHeight: imageStyles?.maxHeight ?? 400,
          ),
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(9),
              image: DecorationImage(
                image: MemoryImage(base64Decode(cleanBase64(imgUrl))),
                fit: BoxFit.cover,
                colorFilter: const ColorFilter.mode(
                  Colors.black26,
                  BlendMode.colorBurn,
                ),
              ),
            ),
          ),
        ),
         const Center(
          child:
              CircularProgressIndicator(
                color: Colors.white,
                strokeWidth: 1.0,
              ),
        ), 
      ],
    );
  }
}
